{ inputs, pkgs, config, lib, ... }: {
  imports = [
    ../../templates/proxmox-lxc.nix
    ../../server.nix
    ../../features/podman.nix
  ];

  networking.hostName = "dns";
  system.stateVersion = "24.05";
  nixpkgs.hostPlatform = "x86_64-linux";

  services.resolved = {
    enable = false;
  };

  networking.nameservers = lib.mkForce [
    "2001:1608:10:25::1c04:b12f#resolver1.dns.watch"
    "2001:1608:10:25::9249:d69b#resolver2.dns.watch"
    "84.200.69.80#resolver1.dns.watch" 
    "84.200.70.40#resolver2.dns.watch" 
  ];
  
  services.technitium-dns-server = {
    enable = true;
    openFirewall = true;
  };

  networking.firewall.allowedTCPPorts = [ 5380 53443 53 ];
  networking.firewall.allowedUDPPorts = [ 5380 53443 53 ];
}
